# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..transit import TransitNavigatorDialog
from .show_dialog import show_diag


def transit_navigator(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return
    dlg2 = TransitNavigatorDialog(proj)
    show_diag(dlg2)
